### Name: predictBias
### Title: Computes the bias estimate provided a neural network color
###   distortion model
### Aliases: predictBias
### Keywords: smooth

### ** Examples
 
data(swirl)
#normalize swirl
sNNr<-maNormNN(swirl,binWidth=maNsc(swirl),binHeight=maNsr(swirl),save.models=TRUE,robust=TRUE)

#retrive original M-A values for slide 4 and print tip 3
s<-4;pt<-3;
MM<-maM(swirl[maPrintTip(swirl)==pt,s])
AA<-maA(swirl[maPrintTip(swirl)==pt,s])

#generate a series of A values in the validity range of the model for slide s and print tip pt
A<-seq(sNNr$models$lims[1,pt,s],sNNr$models$lims[3,pt,s],length=100)

#do the plots
if(interactive()){x11()}
plot(AA,MM,pch=20,xlab="A",ylab="M",main=paste("Slide=",s," Print tip=",pt)) #raw data
lines(A,predictBias(A,sNNr$models,s,pt),col="red",lwd=2) #robust NN

#for ilustration add the loess normalization curve as computed in marray package
lo<-loess(MM~AA,span=0.4,degree=1,family="symmetric",control=loess.control(trace.hat="approximate",iterations=5,surface="direct"))
lines(A,predict(lo,A),col= "green",lty="longdash",lwd=2) #loess




